%define upstream_name    Template-Plugin-JSON
%define upstream_version 0.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Adds a .json vmethod for all TT values
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON) >= 2.120.0
BuildRequires: perl(Moose)
BuildRequires: perl(Template) >= 2.200.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This plugin provides a '.json' vmethod to all value types when loaded. You
can also decode a json string back to a data structure.

It will load the the JSON manpage module (you probably want the JSON::XS
manpage installed for automatic speed ups).

Any options on the USE line are passed through to the JSON object, much
like the JSON/to_json manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.70.0-3pclos2017
- rebuild against updates

